Bug 225292 - archivers/pecl-rar v4.0.0 must supports php 7.0 and 7.1
Summary: archivers/pecl-rar v4.0.0 must supports php 7.0 and 7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-18 08:32 UTC by v.chernyadev
Modified: 2018-01-29 18:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description v.chernyadev 2018-01-18 08:32:33 UTC
pecl-rar v4.0.0 must supports php 7.0 and 7.1, but in /usr/ports/archivers/pecl-rar/Makefile there is: 
IGNORE_WITH_PHP=       70 71

If I disable it, the port compiled successfuly.
Comment 1 commit-hook freebsd_committer 2018-01-29 18:07:25 UTC
A commit references this bug:

Author: joneum
Date: Mon Jan 29 18:07:03 UTC 2018
New revision: 460318
URL: https://svnweb.freebsd.org/changeset/ports/460318

Log:
  remove IGNORE_WITH_PHP= 70 71

  This port build fine with PHP 70, 71 and 72

  PR:		225292
  Reported by:	v.chernyadev@tradesoft.ru
  Approved by:	mentors (implicit)

Changes:
  head/archivers/pecl-rar/Makefile